@charset "UTF-8";

/****表格****/
.member-order__table {
    display: block;
    width: 100%;
    font-size: 16px;
    line-height: 1.5;
    font-family: 'NotoSansTC-M';
    text-align: center;
    border-radius: 5px;
    overflow: hidden;
}

/****表頭****/
.member-order__table__head {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    font-size: 15px;
    background: #15171b;
    border-radius: 5px;
}

.member-order__table__head__item {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: calc(100% / 7);
    color: #fff;
    padding: 10px;
    flex: 0 0 auto;
}

/****表身****/
.member-order__table__body {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    background: #fff;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.member-order__table__body:last-of-type {
    margin: 0;
    border: none;
}

.member-order__table__body__item {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: calc(100% / 7);
    color: #44464e;
    padding: 30px 10px;
    flex: 0 0 auto;
}

.member-order__table__body:last-of-type .member-order__table__body__item {
    padding: 30px 10px 10px 10px;
}

.member-order__table__body__item__title {
    display: none;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 110px;
    color: #fff;
    background: #15171b;
    padding: 15px;
    flex: 0 0 auto;
}

.member-order__table__body__item__text.oneline {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.member-order__table__body__item__text.red {
    color: #ff0000;
}

/****各欄位寬度****/
.member-order__table__head__item:nth-of-type(1),
.member-order__table__body__item:nth-of-type(1) {
    width: 150px;
}

.member-order__table__head__item:nth-of-type(2),
.member-order__table__body__item:nth-of-type(2) {
    width: calc(100% - 665px);
}

.member-order__table__head__item:nth-of-type(3),
.member-order__table__body__item:nth-of-type(3) {
    width: 85px;
}

.member-order__table__head__item:nth-of-type(4),
.member-order__table__body__item:nth-of-type(4) {
    width: 85px;
}

.member-order__table__head__item:nth-of-type(5),
.member-order__table__body__item:nth-of-type(5) {
    width: 70px;
}

.member-order__table__head__item:nth-of-type(6),
.member-order__table__body__item:nth-of-type(6) {
    width: 190px;
}

.member-order__table__head__item:nth-of-type(7),
.member-order__table__body__item:nth-of-type(7) {
    width: 85px;
}

@media screen and (max-width: 991px) {

    /****各欄位寬度****/
    .member-order__table__head__item:nth-of-type(2),
    .member-order__table__body__item:nth-of-type(2) {
        width: calc(100% - 580px);
    }

    .member-order__table__head__item:nth-of-type(3),
    .member-order__table__body__item:nth-of-type(3) {
        width: 65px;
    }

    .member-order__table__head__item:nth-of-type(4),
    .member-order__table__body__item:nth-of-type(4) {
        width: 65px;
    }

    .member-order__table__head__item:nth-of-type(5),
    .member-order__table__body__item:nth-of-type(5) {
        width: 65px;
    }

    .member-order__table__head__item:nth-of-type(6),
    .member-order__table__body__item:nth-of-type(6) {
        width: 170px;
    }

    .member-order__table__head__item:nth-of-type(7),
    .member-order__table__body__item:nth-of-type(7) {
        width: 65px;
    }

    .member-order__table__body__item__text.oneline {
        white-space: nowrap;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        white-space: normal;
    }
}

@media screen and (max-width: 767px) {
    .member-order {
        overflow: visible;
    }

    .member-order__table {
        border-radius: 0;
        overflow: visible;
    }

    /****表頭****/
    .member-order__table__head {
        display: none;
    }

    /****表身****/
    .member-order__table__body {
        display: block;
        border-radius: 5px;
        margin: 0 auto 40px auto;
        border: none;
        box-shadow: 0 15px 40px rgba(44, 48, 67, .1);
        overflow: hidden;
    }

    .member-order__table__body__item {
        flex-wrap: nowrap;
        align-items: stretch;
        align-content: stretch;
        justify-items: center;
        justify-content: center;
        width: 100%;
        padding: 0;
        border: none;
        border-bottom: 2px solid #d3d4dc;
    }

    .member-order__table__body__item:last-of-type {
        border: none;
    }

    .member-order__table__body:last-of-type .member-order__table__body__item {
        padding: 0;
    }

    .member-order__table__body__item__title {
        display: block;
    }

    .member-order__table__body__item__text {
        display: block;
        width: 100%;
        padding: 15px 5px;
        flex: 0 1 auto;
    }

    .member-order__table__body__item__text.oneline {
        display: block;
        padding: 15px 20px;
        -webkit-line-clamp: 1;
        white-space: nowrap;
    }

    /**換行樣式**/
    .member-order__table__body__item.wrap {
        display: block;
    }

    .member-order__table__body__item.wrap+.member-order__table__body__item:not(.wrap) {
        margin: -2px 0 0 0;
    }

    .member-order__table__body__item.wrap .member-order__table__body__item__title,
    .member-order__table__body__item.wrap .member-order__table__body__item__text {
        width: 100%;
    }

    /****各欄位寬度****/
    .member-order__table__head__item:nth-of-type(1),
    .member-order__table__body__item:nth-of-type(1),
    .member-order__table__head__item:nth-of-type(2),
    .member-order__table__body__item:nth-of-type(2),
    .member-order__table__head__item:nth-of-type(3),
    .member-order__table__body__item:nth-of-type(3),
    .member-order__table__head__item:nth-of-type(4),
    .member-order__table__body__item:nth-of-type(4),
    .member-order__table__head__item:nth-of-type(5),
    .member-order__table__body__item:nth-of-type(5),
    .member-order__table__head__item:nth-of-type(6),
    .member-order__table__body__item:nth-of-type(6),
    .member-order__table__head__item:nth-of-type(7),
    .member-order__table__body__item:nth-of-type(7) {
        width: 100%
    }
}

@media screen and (max-width: 575px) {

    /****表格****/
    .member-order__table {
        font-size: 14px;
    }

    /****表頭****/
    .member-order__table__head {
        font-size: 14;
    }

    .member-order__table__body__item__title {
        width: 90px;
        padding: 10px;
    }

    .member-order__table__body__item__text {
        padding: 10px;
    }

    .member-order__table__body__item__text.oneline {
        padding: 10px 20px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}